Bug 735145 - (kmplot) Review Request: kmplot - Mathematical Function Plotter
Review Request: kmplot - Mathematical Function Plotter
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Novacek
Fedora Extras Quality Assurance
:
Depends On: libkdeedu
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2011-09-01 11:31 EDT by Rex Dieter
Modified: 2016-11-30 19:29 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-25 14:45:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rnovacek: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2011-09-01 11:31:16 EDT
Spec URL: http://rdieter.fedorapeople.org/rpms/kdeedu/kmplot.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdeedu/kmplot-4.7.0-10.fc15.src.rpm
Description: Mathematical Function Plotter
Comment 1 Susi Lehtola 2011-09-01 16:29:27 EDT
Shouldn't this obsolete kdeedu-math < 4.7.0-10 instead of conflicting with it..?

Also, I'm wondering why KDE has two plotting programs; this one and bug #735132...
Comment 2 Rex Dieter 2011-09-01 17:15:56 EDT
We'll continue to have kdeedu (and friends) metapackages for upgrade path,
http://rdieter.fedorapeople.org/rpms/kdeedu/kdeedu.spec

(similar to how we've handled split packaging in kdeutils, kdemultimedia, kdesdk, kdegraphics)
Comment 3 Radek Novacek 2011-09-22 09:09:10 EDT
Name: ok
License: ok
Source: ok
BRs/Reqs: ok
Macros used consistently: ok
ldconfig: NA
Desktop file validations: ok 
Locales: ok
Docs: ok
Devel: NA
Files: ok
Build: ok
rpmlint: no need to fix
kmplot.x86_64: E: script-without-shebang /usr/share/applications/kde4/kmplot.desktop

No issues found, setting fedora-review+.
Comment 4 Susi Lehtola 2011-09-22 09:32:12 EDT
Radek: you should check

http://fedoraproject.org/wiki/Packaging:Guidelines#Renaming.2FReplacing_Existing_Packages

as well.
Comment 5 Susi Lehtola 2011-09-22 09:37:09 EDT
I see that the upgrade path is sane due to the kdeedu metapackage, but this procedure goes against the current packaging guidelines.

Furthermore, IIRC metapackages aren't allowed in Fedora. Or are kdeedu and friends going away soon?


You could kill kdeedu and the other packages straight away, were you just to add

Obsoletes: kdeedu-math < foover-foorel
Provides: kdeedu-math = fooveer-foorel

in every package that used to be in kdeedu-math.
Comment 6 Rex Dieter 2011-09-22 09:44:00 EDT
Using a metapacakge here is the most sane thing to do, imo.  Anything else is prone to errors.
Comment 7 Rex Dieter 2011-09-22 09:44:52 EDT
Oh, and kdeedu metapackage may or may not end up being temporary (for a release or 2, the kde-sig hasn't made any final decisions... yet)
Comment 8 Rex Dieter 2011-09-22 09:45:40 EDT
Thanks!

New Package SCM Request
=======================
Package Name: kig
Short Description: Interactive Geometry
Owners: than jreznik ltinkl rnovacek rdieter kkofler
Branches: f16
Comment 9 Rex Dieter 2011-09-22 09:46:49 EDT
Eek, make that:

New Package SCM Request
=======================
Package Name: kmplot
Short Description: Mathematical Function Plotter
Owners: than jreznik ltinkl rnovacek rdieter kkofler
Branches: f16
Comment 10 Jon Ciesla 2011-09-24 11:43:44 EDT
Git done (by process-git-requests).
Comment 11 Rex Dieter 2011-09-25 14:45:47 EDT
import

Note You need to log in before you can comment on or make changes to this bug.